# Microsoft Teams Channel Integration

## The Microsoft Teams channel integration in Ebbot

Bring the power of Ebbot directly into your employees' existing workspace by integrating it with Microsoft Teams. This allows users to interact with the chat agent/chatbot through direct messages, creating a seamless and efficient internal support channel. The functionality mirrors the Ebbot chat widget, providing a consistent user experience.

Note: the channel integrations are only available in the Chat platform.

## Requirements and setup

To setup the Microsoft Teams channel integration, you need administrator permissions in Azure and Teams admin panels to complete the steps.

You can find the necessary integration credentials and setup guide within your Ebbot account by navigating to Settings > Integrations > Channels > User > Teams in the Chat platform.&#x20;

## Supported message types

The Teams channel integration support the following types of messages:

* **Text:** For standard conversational queries.
* **EbbotGPT:** Leveraging advanced AI for more complex questions.
* **Images and files:** Enabling users to share visual information and documents.
* **Intermediates:** Invisible message type used for updating data within the chat.
* **Input strings:** For capturing specific user data.
* **Multiselect:** Allowing users to choose from predefined options.

### Stored user information

When a user chats via the Microsoft Teams integration, the following person data is stored:

| Field          | Type   | Description                                |
| -------------- | ------ | ------------------------------------------ |
| `title`        | string | Honorific/title (e.g. "Miss", "Mr", "Mrs") |
| `status`       | string | Entity type, e.g. `"person"`               |
| `first_name`   | string | User's first name(s)                       |
| `last_name`    | string | User's surname                             |
| `dynamicName`  | string | Full display name (first + last)           |
| `email`        | string | Email address                              |
| `phoneNumber`  | string | Landline/work phone number                 |
| `mobileNumber` | string | Mobile phone number                        |

**Note:** `phoneNumber` and `mobileNumber` may be empty strings if not available from Teams.

## Known limitations

The Teams channel integration enables your end users to send personal messages to the chat agent/chatbot. The chat agent cannot currently be added to channels in Teams.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ebbot.ai/ebbot-docs/integrations/chat-integrations/channel-integrations/microsoft-teams-channel-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
